# PlotMM::PlotCanvas Class Reference

List of all members.

## Detailed Description

Class to draw curves in a plot.

## Public Member Functions

| PlotCanvas (Gtk::Widget *w)
virtual bool | begin_replot ()
virtual void | clear ()
virtual void | end_replot ()

## Public Attributes

SigC::Signal3< void, int, int, GdkEventButton * > | signal_plot_mouse_press
SigC::Signal3< void, int, int, GdkEventButton * > | signal_plot_mouse_release
SigC::Signal3< void, int, int, GdkEventMotion * > | signal_plot_mouse_move

## Protected Member Functions

virtual bool | on_expose_event (GdkEventExpose *event)
virtual void | on_realize ()
virtual bool | on_button_press_event (GdkEventButton *event)
virtual bool | on_button_release_event (GdkEventButton *event)
virtual bool | on_motion_notify_event (GdkEventMotion *event)

## Protected Attributes

Glib::RefPtr< Gdk::GC > | gc_
Glib::RefPtr< Gdk::Window > | window_

## Member Function Documentation

bool PlotCanvas::begin_replot | ( |  | ) | `[virtual]`

Start replot of the plot canvas' contents

When the replot takes place outside on_expose_event this method must be called to avoid flickering

See also:
  end_replot()

void PlotCanvas::clear | ( |  | ) | `[virtual]`

| Clear the plot canvas (where the curves are drawn.

void PlotCanvas::end_replot | ( |  | ) | `[virtual]`

| End replot of the plot canvas' contents If begin_replot() was called, this method must be called after changing the plot canvas' contents